---

# SWIFT used parameter file
# code version: 2025.01
# git revision: v2025.01-35-gfa5d752f
# git branch: (HEAD detached at fa5d752fe)
# git date: 2025-03-12 17:55:23 +0000
# current date: 19:59:38 2025-03-12 GMT

MetaData:
  run_name: EAGLE-L0006N0094-Ref

InternalUnitSystem:
  UnitMass_in_cgs: 1.98841e43
  UnitLength_in_cgs: 3.08567758e24
  UnitVelocity_in_cgs: 1e5
  UnitCurrent_in_cgs: 1
  UnitTemp_in_cgs: 1

Cosmology:
  h: 0.6777
  a_begin: 0.9090909
  a_end: 1.0
  Omega_cdm: 0.2587481
  Omega_lambda: 0.693
  Omega_b: 0.0482519
  Omega_m: -1
  Omega_r: 0
  w_0: -1
  w_a: 0
  T_nu_0: 0
  N_ur: 0
  N_nu: 0

Scheduler:
  max_top_level_cells: 8
  links_per_tasks: 500
  cell_max_size: 8000000
  cell_sub_size_pair_hydro: 256000000
  cell_sub_size_self_hydro: 32000
  cell_sub_size_pair_stars: 256000000
  cell_sub_size_self_stars: 32000
  cell_sub_size_pair_grav: 256000000
  cell_sub_size_self_grav: 32000
  cell_split_size: 400
  grid_split_threshold: 400
  cell_subdepth_diff_grav: 4
  cell_recurse_size_self_hydro: 100
  cell_recurse_size_pair_hydro: 100
  cell_recurse_size_self_stars: 100
  cell_recurse_size_pair_stars: 100
  cell_recurse_size_self_black_holes: 100
  cell_recurse_size_pair_black_holes: 100
  cell_recurse_size_self_sinks: 100
  cell_recurse_size_pair_sinks: 100
  cell_extra_parts: 0
  cell_extra_sparts: 200
  cell_extra_gparts: 200
  cell_extra_bparts: 0
  cell_extra_sinks: 0
  engine_max_parts_per_ghost: 1000
  engine_max_sparts_per_ghost: 1000
  engine_max_parts_per_cooling: 10000
  engine_redist_alloc_margin: 1.2
  engine_foreign_alloc_margin: 1.05
  free_foreign_during_restart: 0
  free_foreign_during_rebuild: 0
  nr_queues: 4
  dependency_graph_frequency: 0
  dependency_graph_cell: 0
  task_level_output_frequency: 0
  deadlock_waiting_time_s: -1
  tasks_per_cell: 0
  mpi_message_limit: 4

TimeIntegration:
  dt_min: 1e-10
  dt_max: 1e-2
  max_nr_rt_subcycles: 0
  max_dt_RMS_factor: 0.25
  dt_RMS_use_gas_only: 0

Snapshots:
  basename: eagle
  scale_factor_first: 0.91
  time_first: 0.01
  delta_time: 1.01
  compression: 1
  distributed: 1
  select_output_on: 0
  subdir: .
  subsample:  [0, 0, 0, 0, 0, 0, 0]
  subsample_fraction:  [0, 0, 0, 0, 0, 0, 0]
  run_on_dump: 0
  lustre_OST_count: 0
  invoke_stf: 0
  invoke_fof: 0
  invoke_ps: 0
  use_delta_from_edge: 0
  UnitMass_in_cgs: 1.98841e+43
  UnitLength_in_cgs: 3.08568e+24
  UnitVelocity_in_cgs: 100000
  UnitCurrent_in_cgs: 1
  UnitTemp_in_cgs: 1
  output_list_on: 0

Statistics:
  scale_factor_first: 0.92
  time_first: 0.01
  delta_time: 1.05
  energy_file_name: statistics
  timestep_file_name: timesteps
  output_list_on: 0

Gravity:
  eta: 0.025
  MAC: adaptive
  epsilon_fmm: 0.001
  theta_cr: 0.7
  mesh_side_length: 64
  comoving_DM_softening: 0.0026994
  max_physical_DM_softening: 0.0007
  comoving_baryon_softening: 0.0026994
  max_physical_baryon_softening: 0.0007
  rebuild_frequency: 0.01
  rebuild_active_fraction: 1.01
  distributed_mesh: 0
  mesh_uses_local_patches: 1
  a_smooth: 1.25
  r_cut_max: 4.5
  r_cut_min: 0
  allow_truncation_in_MAC: 0
  use_tree_below_softening: 0
  max_adaptive_softening: 1.13427e+38
  min_adaptive_softening: 0

SPH:
  resolution_eta: 1.2348
  h_min_ratio: 0.1
  h_max: 0.5
  CFL_condition: 0.2
  minimal_temperature: 100
  particle_splitting: 1
  particle_splitting_mass_threshold: 7e-4
  h_tolerance: 0.0001
  max_ghost_iterations: 30
  use_mass_weighted_num_ngb: 0
  max_volume_change: 1.4
  initial_temperature: 0
  H_ionization_temperature: 10000
  H_mass_fraction: 0.752
  viscosity_alpha: 0.1
  viscosity_alpha_max: 2
  viscosity_alpha_min: 0
  viscosity_length: 0.05
  diffusion_alpha: 0
  diffusion_beta: 1
  diffusion_alpha_max: 1
  diffusion_alpha_min: 0
  particle_splitting_generate_random_ids: 0
  particle_splitting_log_extra_splits: 0

Stars:
  resolution_eta: 1.1642
  h_tolerance: 7e-3
  max_ghost_iterations: 30
  max_volume_change: -1

FOF:
  dump_catalogue_when_seeding: 0

InitialConditions:
  file_name: ./EAGLE_ICs_6.hdf5
  periodic: 1
  cleanup_h_factors: 1
  cleanup_velocity_factors: 1
  remap_ids: 1
  replicate: 1
  cleanup_smoothing_lengths: 0
  generate_gas_in_ics: 0
  metadata_group_name: ICs_parameters
  smoothing_length_scaling: 1
  stars_smoothing_length: -1
  black_holes_smoothing_length: -1
  shift:  [0, 0, 0]

Restarts:
  subdir: restart
  basename: swift
  stop_steps: 100
  max_run_time: 3.40282e+38
  resubmit_on_exit: 0
  enable: 1
  save: 1
  onexit: 0
  lustre_OST_count: 0
  delta_hours: 5

PhysicalConstants:
  G: 43.0092
  mu_0: 1.95009e-30

Neutrino:
  use_delta_f: 0
  use_delta_f_mesh_only: 0
  use_model_none: 0
  generate_ics: 0
  neutrino_seed: 0
  use_linear_response: 0
...
